# Created by pyp2rpm-3.3.7
%global pypi_name Brotli
%global srcname brotli
%global commitId e61745a6b7add50d380cfd7d3883dd6c62fc2c71

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        1.0.9
Release:        3%{?dist}
Summary:        Python bindings for the Brotli compression library

License:        MIT
URL:            https://github.com/google/brotli
Source0:        python-brotli-e61745a6b7add50d380cfd7d3883dd6c62fc2c71.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
%autosetup -n python-%{srcname}-%{commitId}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md python/README.md
%{python3_sitearch}/__pycache__/brotli.*
%{python3_sitearch}/brotli.py
%{python3_sitearch}/_brotli.*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 1.0.9-3
- Rebuild for multiarch

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.0.9-2
- Build against python 3.9

* Tue Feb 08 2022 Odilon Sousa <osousa@redhat.com> - 1.0.9-1
- Initial package.
